Home > Technical Documentation > Man Pages > hp-check

# hp-check: Dependency/Version Check Utility (ver. 13.0)

Check the existence and versions of HPLIP dependencies.

Usage: hp-check/check.py [OPTIONS]

[OPTIONS]

Compile-time check: | -c or --compile
Run-time check: | -r or --run
Compile and run-time checks: | -b or --both (default)
Set the logging level: | -l<level> or --logging=<level>
| <level>: none, info*, error, warn, debug (*default)
Run in debug mode: | -g (same as option: -ldebug)
Output plain text only: | -t
This help information: | -h or --help

Notes:

1. For checking for the proper build environment for the HPLIP supplied tarball (.tar.gz or .run),

use the --compile or --both switches.

2. For checking for the proper runtime environment for a distro supplied package (.deb, .rpm, etc),

use the --runtime switch.

Page last updated: Fri Feb 8 18:07:19 2008; HPLIP Version: 2.8.2